BubblePlotPopupPanel (QuantitativePropertiesVisualisation 1.1.0-2.14.0 API)
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.visualisation.client.bubbles
Class BubblePlotPopupPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.google.gwt.user.client.ui.PopupPanel
                          org.visualisation.client.bubbles.BubblePlotPopupPanel

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.logical.shared.HasCloseHandlers<com.google.gwt.user.client.ui.PopupPanel>, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.EventPreview, com.google.gwt.user.client.ui.AcceptsOneWidget, com.google.gwt.user.client.ui.HasAnimation, com.google.gwt.user.client.ui.HasOneWidget, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.HasWidgets.ForIsWidget, com.google.gwt.user.client.ui.IsWidget, com.google.gwt.user.client.ui.SourcesPopupEvents, Iterable<com.google.gwt.user.client.ui.Widget>

    public class BubblePlotPopupPanel

extends com.google.gwt.user.client.ui.PopupPanel

Author:
  Nikolas Laskaris creates a GCube widget which will contain a
  element to display the visualisation

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.PopupPanel
`com.google.gwt.user.client.ui.PopupPanel.PositionCallback`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`BubblePlotPopupPanel(String layerName, String idFieldName, String populationFieldName, String skewFieldName, String divID, String width, String height)` The layer should return a GeoJSON string with at least the following values (in json path): features.id features.properties.occurrences features.properties.skew features.properties.scientific_name
`BubblePlotPopupPanel(String geoserverUrl, String workspace, String layerName, String idFieldName, String populationFieldName, String skewFieldName, String divID, String width, String height)` When we already know the parameters, that means actually no search, but just feed the values in json !

Method Summary
`void` | `load(String layerName, String visualisationFields)`
`void` | `load(String geoserverUrl, String workspace, String layerName, String visualisationFields)`

Methods inherited from class com.google.gwt.user.client.ui.PopupPanel
`addAutoHidePartner, addCloseHandler, addPopupListener, center, getContainerElement, getGlassElement, getGlassStyleName, getOffsetHeight, getOffsetWidth, getPopupLeft, getPopupTop, getStyleElement, getTitle, hide, hide, isAnimationEnabled, isAutoHideEnabled, isAutoHideOnHistoryEventsEnabled, isGlassEnabled, isModal, isPreviewingAllNativeEvents, isShowing, isVisible, onEventPreview, onKeyDownPreview, onKeyPressPreview, onKeyUpPreview, onPreviewNativeEvent, onUnload, removeAutoHidePartner, removePopupListener, setAnimationEnabled, setAutoHideEnabled, setAutoHideOnHistoryEventsEnabled, setGlassEnabled, setGlassStyleName, setHeight, setModal, setPopupPosition, setPopupPositionAndShow, setPreviewingAllNativeEvents, setTitle, setVisible, setWidget, setWidth, show, showRelativeTo`

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getWidget, iterator, remove, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, orphan, remove`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### BubblePlotPopupPanel

    public BubblePlotPopupPanel(String layerName,
                                String idFieldName,
                                String populationFieldName,
                                String skewFieldName,
                                String divID,
                                String width,
                                String height)

  The layer should return a GeoJSON string with at least the following values (in json path): features.id features.properties.occurrences features.properties.skew features.properties.scientific_name

  Parameters:
    `layerName` - e.g. "count_occurences_skew"
    `divID` - the divID we wish to have for the visualisation canvas
    `width` - the widget width
    `height` - the widget height

### BubblePlotPopupPanel

    public BubblePlotPopupPanel(String geoserverUrl,
                                String workspace,
                                String layerName,
                                String idFieldName,
                                String populationFieldName,
                                String skewFieldName,
                                String divID,
                                String width,
                                String height)

  When we already know the parameters, that means actually no search, but just feed the values in json !

  Parameters:
    `geoserverUrl` - e.g: http://geoserver2.d4science.research-infrastructures.eu/geoserver/
    `workspace` -
    `layerName` -
    `divID` -
    `width` -
    `height` -

Method Detail

### load

    public void load(String layerName,
                     String visualisationFields)

### load

    public void load(String geoserverUrl,
                     String workspace,
                     String layerName,
                     String visualisationFields)
              throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.